Payment 3DS SCA

post{listenerUrl}/payment-3ds-sca

Triggered when a 3D Secure (3DS) Strong Customer Authentication (SCA) challenge is initiated for a card transaction. Subscribers should use this event to present the cardholder with a challenge to authenticate or decline the transaction.

Request

Header Parameters

  • X-Delivery-Idstring

    Unique message id plus delivery attempt.

  • X-Key-Idstring

    ID of the public key used to validate the signature.

  • X-Signaturestring

    Base64-encoded RSA SHA-256 signature of {deliveryId}:{keyId}:{requestBody}.

Body application/json

  • topicstring
    Allowed values:payment-3ds-sca
  • payloadobject
    • challengeIdstring

      The Immersve ID for the 3DS challenge. Send this value back as the {challengeId} path parameter and the challengeId body field when calling Submit 3DS Challenge Outcome.

    • externalIdstring

      A unique reference for the 3DS security challenge. This reference can be used to correlate the challenge to the subsequent Immersve payment resource.

    • cardholderIdstring

      The Immersve ID for the cardholder associated with the card.

    • cardIdstring

      The Immersve card ID.

    • cardPanLast4string

      The last four digits of the card PAN.

    • cardProgramIdstring

      The Immersve card program ID for the card.

    • merchantNamestring

      The merchant's name.

    • merchantCountryCodestring

      The merchant's ISO-3166-1 Alpha-2 country code.

    • paymentAcquirerAmountstring

      Payment amount represented in the merchant's local currency. The amount will use fiat minor units. For example 978 GBP is £9.78.

    • paymentAcquirerCurrencystring

      The merchant's local currency.

    • expiryTimestring<date-time>

      The ISO 8601 timestamp of when the SCA challenge expires.

  • messageIdstring
  • listenerIdstring
  • listenerAccountIdstring
  • deliveryAttemptnumber
  • createdAtstring

    The notification message creation timestamp.

  • sentAtstring

    The delivery attempt timestamp.

  • keyIdstring

    The public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.

  • issuerstring